Package org.apache.uima.jcas.cas

# Class ShortArray

java.lang.Object
org.apache.uima.cas.impl.FeatureStructureImplC
org.apache.uima.jcas.cas.TOP
org.apache.uima.jcas.cas.ShortArray

All Implemented Interfaces:
  `Cloneable`, `Iterable<Short>`, `CommonArrayFS<Short>`, `FeatureStructure`, `FeatureStructureImpl`, `ShortArrayFSImpl`, `ShortArrayFS`, `CommonPrimitiveArray<Short>`

public final class ShortArray extends TOP implements CommonPrimitiveArray<Short>, ShortArrayFSImpl, Iterable<Short>
JCas class model for ShortArray

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

  `FeatureStructureImplC.PrintReferences`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `_TypeName`
  `static final int`
  `type`
  `static final int`
  `typeIndexID`
  Each cover class when loaded sets an index.

  ### Fields inherited from class org.apache.uima.jcas.cas.TOP

  `_singleton`

  ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

  `_casView, _id, DISABLE_RUNTIME_FEATURE_VALIDATION, DISABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_V2_PRETTY_PRINT, V2_PRETTY_PRINT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShortArray(TypeImpl t, CASImpl c, int length)`
  used by generator Make a new ShortArray of given size
  `ShortArray(JCas jcas, int length)`
  Make a new ShortArray of given size

- ## Method Summary

  Modifier and Type
  Method
  Description
  `short[]`
  `_getTheArray()`
  `boolean`
  `contains(short item)`
  `void`
  `copyFromArray(short[] src, int srcPos, int destPos, int length)`
  Copy the contents of an external array into this array.
  `void`
  `copyFromArray(String[] src, int srcPos, int destPos, int length)`
  Copy the contents of an external string array into this array.
  `void`
  `copyToArray(int srcPos, short[] dest, int destPos, int length)`
  Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.
  `void`
  `copyToArray(int srcPos, String[] dest, int destPos, int length)`
  Copy the contents of the array to an external string array.
  `void`
  `copyValuesFrom(CommonArrayFS v)`
  Copy values from another array of the same kind
  `static ShortArray`
  `create(JCas jcas, short[] a)`
  `short`
  `get(int i)`
  Get the i-th element from the array.
  `int`
  `getTypeIndexID()`
  used to obtain reference to the _Type instance
  `Iterator<Short>`
  `iterator()`
  `void`
  `set(int i, short v)`
  Set the i-th value.
  `void`
  `setArrayValueFromString(int i, String v)`
  Internal Use Only.
  `int`
  `size()`
  return the size of the array
  `short[]`
  `toArray()`
  Creates a new array the this array is copied to.

  ### Methods inherited from class org.apache.uima.jcas.cas.TOP

  `_createJCasHashMapReserve, _createSearchKey`

  ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

  `_copyIntAndRefArraysEqTypesFrom, _copyIntAndRefArraysFrom, _copyIntArrayEqTypesFrom, _getBooleanValueNc, _getBooleanValueNc, _getByteValueNc, _getByteValueNc, _getDoubleValueNc, _getDoubleValueNc, _getFeatFromAdjOffset, _getFeatureValueNc, _getFeatureValueNc, _getFloatValueNc, _getFloatValueNc, _getIntLikeValue, _getIntValueNc, _getIntValueNc, _getLongValueNc, _getLongValueNc, _getRefValueCommon, _getShortValueNc, _getShortValueNc, _getStringValueNc, _getStringValueNc, _getTypeCode, _getTypeImpl, _getView, _id, _inSetSortedIndex, _isJCasHashMapReserve, _isPearTrampoline, _maybeGetBaseForPearFs, _maybeGetBaseForPearFs, _maybeGetPearFs, _maybeGetPearFs, _resetInSetSortedIndex, _setBooleanValueNcNj, _setBooleanValueNcNj, _setBooleanValueNfc, _setByteValueNcNj, _setByteValueNcNj, _setByteValueNfc, _setDoubleValueNcNj, _setDoubleValueNcNj, _setDoubleValueNfc, _setFeatureValueNcNj, _setFeatureValueNcNj, _setFeatureValueNcWj, _setFloatValueNcNj, _setFloatValueNcNj, _setFloatValueNfc, _setInSetSortedIndexed, _setIntLikeValue, _setIntLikeValueNcNj, _setIntValueCJ, _setIntValueNcNj, _setIntValueNcNj, _setIntValueNfc, _setIntValueNfcCJ, _setJCasHashMapReserve, _setLongValueCJ, _setLongValueNcNj, _setLongValueNcNj, _setLongValueNfc, _setLongValueNfcCJ, _setPearTrampoline, _setRefValueCJ, _setRefValueCommon, _setRefValueCommonWj, _setRefValueNfcCJ, _setShortValueNcNj, _setShortValueNcNj, _setShortValueNfc, _setStringValueNcNj, _setStringValueNcWj, _setStringValueNfc, _setTypeImpl, addStringOrPrimitive, addToIndexes, addToIndexes, addToIndexes, clone, compare, equals, getAddress, getBooleanValue, getByteValue, getCAS, getCASImpl, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getLowLevelCas, getShortValue, getStringValue, getType, hashCode, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrintShort, removeFromIndexes, removeFromIndexes, removeFromIndexes, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toShortString, toString, toString, wrapGetIntCatchException`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.cas.CommonArrayFS

  `getValuesAsCommaSeparatedString, isEmpty, toStringArray`

  ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

  `_getTypeCode, _id, clone, equals, getAddress, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getJCas, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Field Details

  - ### _TypeName

    public static final String _TypeName
    See Also:
      - Constant Field Values

  - ### typeIndexID

    public static final int typeIndexID
    Each cover class when loaded sets an index. Used in the JCas typeArray to go from the cover class or class instance to the corresponding instance of the _Type class

  - ### type

    public static final int type

- ## Constructor Details

  - ### ShortArray

    public ShortArray(JCas jcas, int length)
    Make a new ShortArray of given size
    Parameters:
      `jcas` - The JCas
      `length` - The number of elements in the new array

  - ### ShortArray

    public ShortArray(TypeImpl t, CASImpl c, int length)
    used by generator Make a new ShortArray of given size
    Parameters:
      `c` - -
      `t` - -
      `length` - The number of elements in the new array

- ## Method Details

  - ### getTypeIndexID

    public int getTypeIndexID()
    used to obtain reference to the _Type instance
    Overrides:
      `getTypeIndexID` in class `TOP`
    Returns:
      the type array index

  - ### get

    public short get(int i)
    Description copied from interface: `ShortArrayFS`
    Get the i-th element from the array.
    Specified by:
      `get` in interface `ShortArrayFS`
    Parameters:
      `i` - the index
    Returns:
      The i-th element.
    See Also:
      - `ShortArrayFS.get(int)`

  - ### set

    public void set(int i, short v)
    Description copied from interface: `ShortArrayFS`
    Set the i-th value.
    Specified by:
      `set` in interface `ShortArrayFS`
    Parameters:
      `i` - The index.
      `v` - The value.
    See Also:
      - `ShortArrayFS.set(int, short)`

  - ### copyFromArray

    public void copyFromArray(short[] src, int srcPos, int destPos, int length)
    Description copied from interface: `ShortArrayFS`
    Copy the contents of an external array into this array.
    Specified by:
      `copyFromArray` in interface `ShortArrayFS`
    Parameters:
      `src` - The source array.
      `srcPos` - Where to start copying in the source array.
      `destPos` - Where to start copying to in the destination array.
      `length` - The number of elements to copy.
    See Also:
      - `ShortArrayFS.copyFromArray(short[], int, int, int)`

  - ### copyToArray

    public void copyToArray(int srcPos, short[] dest, int destPos, int length)
    Description copied from interface: `ShortArrayFS`
    Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.
    Specified by:
      `copyToArray` in interface `ShortArrayFS`
    Parameters:
      `srcPos` - The index of the first element to copy.
      `dest` - The array to copy to.
      `destPos` - Where to start copying into `dest`.
      `length` - The number of elements to copy.
    See Also:
      - `ShortArrayFS.copyToArray(int, short[], int, int)`

  - ### toArray

    public short[] toArray()
    Description copied from interface: `ShortArrayFS`
    Creates a new array the this array is copied to.
    Specified by:
      `toArray` in interface `ShortArrayFS`
    Returns:
      A Java array copy of this FS array.
    See Also:
      - `ShortArrayFS.toArray()`

  - ### size

    public int size()
    return the size of the array
    Specified by:
      `size` in interface `CommonArrayFS<Short>`
    Returns:
      The size of the array.

  - ### copyToArray

    public void copyToArray(int srcPos, String[] dest, int destPos, int length)
    Description copied from interface: `CommonArrayFS`
    Copy the contents of the array to an external string array.
    Specified by:
      `copyToArray` in interface `CommonArrayFS<Short>`
    Parameters:
      `srcPos` - The index of the first element to copy.
      `dest` - The array to copy to.
      `destPos` - Where to start copying into `dest`.
      `length` - The number of elements to copy.
    See Also:
      - `CommonArrayFS.copyToArray(int, String[], int, int)`

  - ### copyFromArray

    public void copyFromArray(String[] src, int srcPos, int destPos, int length)
    Description copied from interface: `CommonArrayFS`
    Copy the contents of an external string array into this array. The strings are parsed and converted to floats.
    Specified by:
      `copyFromArray` in interface `CommonArrayFS<Short>`
    Parameters:
      `src` - The source array.
      `srcPos` - Where to start copying in the source array.
      `destPos` - Where to start copying to in the destination array.
      `length` - The number of elements to copy.
    See Also:
      - `CommonArrayFS.copyFromArray(String[], int, int, int)`

  - ### _getTheArray

    public short[] _getTheArray()

  - ### copyValuesFrom

    public void copyValuesFrom(CommonArrayFS v)
    Description copied from interface: `CommonArrayFS`
    Copy values from another array of the same kind
    Specified by:
      `copyValuesFrom` in interface `CommonArrayFS<Short>`
    Parameters:
      `v` - the other array

  - ### setArrayValueFromString

    public void setArrayValueFromString(int i, String v)
    Description copied from interface: `CommonPrimitiveArray`
    Internal Use Only. Set an array value from a string representation NOTE: does **not** log the change for delta cas; this should only be used by internal deserializers
    Specified by:
      `setArrayValueFromString` in interface `CommonPrimitiveArray<Short>`
    Parameters:
      `i` - the index
      `v` - the value to set at the above index

  - ### iterator

    public Iterator<Short> iterator()
    Specified by:
      `iterator` in interface `Iterable<Short>`

  - ### create

    public static ShortArray create(JCas jcas, short[] a)
    Parameters:
      `jcas` - Which CAS to create the array in
      `a` - the source for the array's initial values
    Returns:
      a newly created and populated array

  - ### contains

    public boolean contains(short item)
    Parameters:
      `item` - the item to see if is in the array
    Returns:
      true if the item is in the array